function EnglishProvider($translateProvider) {
    'ngInject'

    $translateProvider.translations('en', {

        // HEADER COMPONENT
        WALLET_NAME_1: 'NEM',
        WALLET_NAME_2: 'Wallet',
        APP_NAME_SUB: 'The secure interface connecting to the NEM platform',
        HEADER_LOGIN_BUTTON: 'Login',
        HEADER_SIGNUP_BUTTON: 'Sign Up',
        HEADER_DASHBOARD: 'Dashboard',
        HEADER_WALLET: 'Wallet',
        HEADER_SERVICES: 'Services',
        HEADER_EXPLORER: 'Explorer',
        HEADER_NODE: 'Node',
        HEADER_ACCOUNT: 'Account',
        HEADER_LANG_TITLE: 'Language',
        HEADER_LANG_SELECT: 'Select a language',
        HEADER_NODE_BLOCK_HEIGHT: 'Block height',
        HEADER_NODE_CURRENT_NODE: 'Current node',
        HEARDER_NODE_LIST: 'Nodes list',
        HEADER_NODE_SELECT: 'Select a node',
        HEADER_NODE_CUSTOM: 'Custom node',
        HEADER_NODE_CONNECT: 'Connect',
        HEADER_NODE_CUSTOM_INFO: 'Node ip or domain',
        HEADER_NODE_CUSTOM_TOOLTIP: 'Enter your own NIS node here',
        HEADER_PURGE: 'Purge',
        HEADER_PURGE_MESSAGE: 'Please confirm the purge of local storage. By clicking "Purge" all wallets in your browser local storage will be deleted and will not be recoverable. You agree that all wallets have been backed up and funds are secured.',
        HEADER_OFFLINE_TX: 'Prepare an offline transaction',
        HEADER_RELEASE_TX: 'Release a transaction',

        // FOOTER COMPONENT
        FOOTER_POWERED_BY_1: 'Powered by',
        FOOTER_POWERED_BY_2: 'NEM technology.',
        FOOTER_VERSION: 'Version',

        // DASHBOARD MODULE
        DASHBOARD_TITLE: 'Dashboard',
        DASHBOARD_UNCONFIRMED: 'Unconfirmed',
        DASHBOARD_CONFIRMED: 'Confirmed',
        DASHBOARD_HARVEST_INCOME_TITLE: 'Harvesting income on latest 25 blocks',
        DASHBOARD_HARVEST_INCOME_NOTE: 'Only blocks with fee above 0',
        DASHBOARD_HARVEST_INCOME_MESSAGE: 'No fees found in the latest 25 blocks',
        DASHBOARD_NEWS_TITLE: 'Latest news',
        DASHBOARD_HARVESTED_BLOCKS_TITLE: 'Harvested blocks',
        DASHBOARD_HARVESTED_BLOCKS_TH: 'Fees earned',
        DASHBOARD_MARKET_INFO_TITLE: 'Market information',
        DASHBOARD_MARKET_INFO_CAP: 'Market cap',
        DASHBOARD_MARKET_INFO_PRICE: 'Price',
        DASHBOARD_MARKET_INFO_VOLUME: '24h volume',
        DASHBOARD_MARKET_INFO_CHANGES: 'Percentage change (24h)',
        DASHBOARD_MARKET_INFO_CHANGES_1H: '1h',
        DASHBOARD_MARKET_INFO_CHANGES_24H: '24h',
        DASHBOARD_MARKET_INFO_CHANGES_7D: '7d',
        DASHBOARD_MARKET_INFO_NOTE: '<a href="http://coinmarketcap.com/" target="_blank">CoinMarketCap</a> data updated every 5 minutes',
        DASHBOARD_NOTICE_1: 'Welcome to the NEM Wallet Beta!',
        DASHBOARD_NOTICE_2: 'Please <a href="https://github.com/NemProject/NanoWallet" target="_blank">report issues here</a>.',
        DASHBOARD_NOTICE_3: 'The NEM Team suggests primarily testing on the testnet to familiarize yourself with the NEM Wallet first before using the mainnet. A simple guide can be found <a href="https://blog.nem.io/nanowallet-tutorial/" target="_blank">here</a>. Users are responsible for their funds and having their private keys backed up. The NEM team is not responsible for any loss of funds due to using this app on the mainnet.',
        DASHBOARD_NOTICE_4: 'We suggest writing down private keys on paper and storing it in a safe place. Additionally, you can import your accounts into the Android and iOS apps as a backup.',
        DASHBOARD_NOTICE_5: 'Thanks for your participation!',
        DASHBOARD_MORE_TXES: 'See more transactions',

        // GENERAL
        GENERAL_BLOCK: 'Block',
        GENERAL_BLOCKS: 'Blocks',
        GENERAL_NO_RESULTS: 'Nothing to show',
        GENERAL_ACCOUNT: 'Account',
        GENERAL_ACCOUNTS: 'Accounts',
        GENERAL_MULTISIG_ACCOUNT: 'Multisig account',
        GENERAL_AMOUNT: 'Amount',
        GENERAL_MESSAGE: 'Message',
        GENERAL_DATE: 'Date',
        GENERAL_TAB_NORMAL: 'Normal',
        GENERAL_TAB_SEND: 'Send',
        GENERAL_TAB_MULTISIG: 'Multisig',
        GENERAL_TOTAL: 'Total',
        GENERAL_REMOVE: 'Remove',
        GENERAL_MOSAIC: 'Mosaic',
        GENERAL_FEE: 'Fee',
        GENERAL_LEVY: 'Levy',
        GENERAL_LEVY_TYPES: 'Levy types',
        GENERAL_LEVY_TYPES_NOTE: 'I - constant fee; II - percentage based',
        GENERAL_LEVY_TYPE_1: 'Constant fee',
        GENERAL_LEVY_TYPE_2: 'Percentage based',
        GENERAL_SEND: 'Send',
        GENERAL_TO: 'To',
        GENERAL_HASH: 'Hash',
        GENERAL_HASH_FUNCTION: 'Hash Function',
        GENERAL_NAME: 'Name',
        GENERAL_INFORMATION: 'Information',
        GENERAL_ADDRESS: 'Address',
        GENERAL_PUBLIC_KEY: 'Public key',
        GENERAL_PRIVATE_KEY: 'Private key',
        GENERAL_CLEAR_ALL: 'Clear all',
        GENERAL_CLOSE: 'Close',
        GENERAL_COMING_SOON: 'Coming soon',
        GENERAL_NONE: 'None',
        GENERAL_DROPBOX: 'Drop files here or click to browse',
        GENERAL_NETWORK_FEE: 'Network fee',
        GENERAL_YES: 'Yes',
        GENERAL_NO: 'No',
        GENERAL_TAGS: 'Tags',
        GENERAL_SINK: 'Sink',
        GENERAL_SINK_ADDRESS: 'Sink Address',
        GENERAL_STORAGE: 'Storage',
        GENERAL_REASON: 'Reason',
        GENERAL_TRANSACTION_HASH: 'Transaction hash',
        GENERAL_TRANSACTION_ID: 'Transaction ID',
        GENERAL_OWNER: 'Owner',
        GENERAL_RESULTS: 'Results',
        GENERAL_RESULT: 'Result',
        GENERAL_STATUS: 'Status',
        GENERAL_LOCATION: 'Location',
        GENERAL_ACTION: 'Action',
        GENERAL_ACTIONS: 'Actions',
        GENERAL_ADD: 'Add',
        GENERAL_ADDED: 'Added',
        GENERAL_REMOVED: 'Removed',
        GENERAL_COSIGNATORY: 'Cosignatory',
        GENERAL_COSIGNATORIES: 'Cosignatories',
        GENERAL_PROCESSING: 'Processing',
        GENERAL_ACCOUNT_LABEL: 'Account label',
        GENERAL_OPTIONAL: '(optional)',
        GENERAL_ERROR: 'Error',
        GENERAL_EXAMPLE: 'Example',
        GENERAL_PUBLIC: 'Public',
        GENERAL_NAMESPACES: 'Namespaces',
        GENERAL_NAMESPACE: 'Namespace',
        GENERAL_SUB_NAMESPACES: 'Sub-namespaces',
        GENERAL_SUB_NAMESPACE: 'Sub-namespace',
        GENERAL_MOSAICS: 'Mosaics',
        GENERAL_VALUE: 'Value',
        GENERAL_CONNECTION_ERROR: 'An error occured, either node is down or you are offline',
        GENERAL_HISTORY: 'History',
        GENERAL_REVEAL: 'Reveal',
        GENERAL_QR: 'QR code',
        GENERAL_UPDATE:  'Update',
        GENERAL_UNKNOWN: 'Unknown',
        GENERAL_IMPORTANCE: 'Importance',
        GENERAL_TRANSACTIONS: 'Transactions',
        GENERAL_REGISTER: 'Register',
        GENERAL_CREATE: 'Create',
        GENERAL_RENEW: 'Renew',
        GENERAL_CHARACTERS_LEFT: 'Characters left',
        GENERAL_CURRENCY: 'Currency',
        GENERAL_EDIT: 'Edit',
        GENERAL_SEND_XEM: 'Send XEM',
        GENERAL_ACTIVE: 'Active',
        GENERAL_INACTIVE: 'Inactive',
        GENERAL_ACTIVATING: 'Activating',
        GENERAL_DEACTIVATING: 'Deactivating',
        GENERAL_REMOTE: 'Remote',
        GENERAL_WARNING: 'Warning',
        GENERAL_SCORE: 'Score',
        GENERAL_LENGTH: 'Length',
        GENERAL_GO_BACK: 'Go back',
        GENERAL_BACK: 'Back',
        GENERAL_NEXT: 'Next',
        GENERAL_START: 'Start',
        GENERAL_ALIAS: 'Alias',
        GENERAL_CONTACTS: 'Contacts',
        GENERAL_ENCRYPTED: 'Encrypted',
        GENERAL_UNENCRYPTED: 'Unencrypted',
        GENERAL_HEXADECIMAL: 'Hexadecimal',
        GENERAL_SELECT_ACCOUNT: 'Select account',
        GENERAL_INVOICE: 'Invoice',
        GENERAL_SIGNATURE: 'Signature',
        GENERAL_VERIFY: 'Verify',

        // HOME MODULE
        HOME_UNSUPPORTED_BROWSER: 'Sorry but you cannot use NEM Wallet safely with this browser...',
        HOME_RECOMMENDED_BROWSERS: 'Recommended browsers are:',
        HOME_FEATURE_STAND_BY: 'Place the cursor on a feature to show information.',
        HOME_FEATURE_1: 'Send and receive XEM easily and almost instantly, only 1 minute block time!',

        // TRANSFER TRANSACTION MODULE
        TRANSFER_TRANSACTION_TITLE: 'Send a transaction',
        TRANSFER_TRANSACTION_NAME: 'Transfer transaction',
        TRANSFER_TRANSACTION_MULTISIG_NAME: 'Multisignature transfer transaction',
        TRANSFER_TRANSACTION_INVOICE: 'Create invoice',
        TRANSFER_TRANSACTION_TAB_INVOICE: 'Receive',
        TRANSFER_TRANSACTION_MOSAIC_TRANSFER: 'Mosaic transfer',
        TRANSFER_TRANSACTION_ATTACH_MOSAIC: 'Attach mosaic',
        TRANSFER_TRANSACTION_ATTACH: 'Attach',
        TRANSFER_TRANSACTION_MOSAICS_ATTACHED: 'Mosaics attached',
        TRANSFER_TRANSACTION_ENCRYPT_MESSAGE: 'Encrypt message',
        TRANSFER_TRANSACTION_MESSAGE_TYPE: 'Message type',

        // TRANSACTION LINES
        LINE_TX_DETAILS_FROM: 'From',
        LINE_TX_DETAILS_FROM_MULTISIG: 'From multisig',
        LINE_TX_DETAILS_WAITING: 'Transaction waiting to be included',
        LINE_TX_DETAILS_NEED_SIG: 'Needs cosignatories signatures',
        LINE_TX_DETAILS_NEED_SIG_2: 'Needs your signature',
        LINE_TX_DETAILS_MESS_DEC: 'Decode',
        LINE_TX_DETAILS_HASH: 'Hash',
        LINE_TX_DETAILS_DEC_MESS: 'Decode message',
        LINE_TX_DETAILS_MOS_ATTACHED: 'Mosaics attached',
        LINE_TX_DETAILS_LEVY_TYPE_1: 'Constant',
        LINE_TX_DETAILS_LEVY_TYPE_2: 'Percentage-based',
        LINE_TX_DETAILS_ISSUER: 'Issuer',
        LINE_TX_DETAILS_MULTISIG_FEE: 'Multisig fee',
        LINE_TX_DETAILS_MULTISIG_HASH: 'Multisig hash',
        LINE_TX_DETAILS_COSIGN: 'Cosign transaction',
        LINE_TX_DETAILS_SIGNATURES: 'Signature(s)',
        LINE_TX_DETAILS_COSIGNATORY: 'Cosignatory',
        LINE_TX_DETAILS_TIMESTAMP: 'Timestamp',
        LINE_TX_DETAILS_MOS_CREATE: 'Create mosaic',
        LINE_TX_DETAILS_MOS_EDIT: 'Edit mosaic',
        LINE_TX_DETAILS_NS_CREATE: 'Create namespace',
        LINE_TX_DETAILS_NS_NEW_SUB: 'New sub-namespace',
        LINE_TX_DETAILS_NS_ROOT: 'Root namespace',
        LINE_TX_DETAILS_RECIPIENT: 'Recipient',
        LINE_TX_DETAILS_MULTISIG_CREATE: 'Create multisig account',
        LINE_TX_DETAILS_MULTISIG_EDIT: 'Edit multisig account',
        LINE_TX_DETAILS_MULTISIG_MOD: 'Modifications',
        LINE_TX_DETAILS_MULTISIG_MIN_COSIG: 'Min cosignatories',
        LINE_TX_DETAILS_MULTISIG_AFFECTED: 'Account affected',

        // IMPORTANCE MODULE
        IMPORTANCE_TRANSFER_NAME: 'Importance transfer transaction',
        IMPORTANCE_TRANSFER_MULTISIG_NAME: 'Multisignature importance transfer transaction',
        IMPORTANCE_TRANSFER_MODE: 'Mode',
        IMPORTANCE_TRANSFER_MODE_1: 'Activate',
        IMPORTANCE_TRANSFER_MODE_2: 'Deactivate',
        IMPORTANCE_TRANSFER_TITLE: 'Manage delegated account',
        IMPORTANCE_TRANSFER_MULTISIGNATURE_TITLE: 'Manage delegated account of multisignature accounts',
        IMPORTANCE_TRANSFER_CUSTOM_KEY: 'Use a custom public key',
        IMPORTANCE_TRANSFER_MODE_SELECT: 'Select a mode',
        IMPORTANCE_TRANSFER_REMOTE_ACCOUNT: 'Remote account',
        IMPORTANCE_TRANSFER_REMOTE_PUBLIC: 'Remote public key',
        IMPORTANCE_TRANSFER_INFO_PART_1: 'Once an importance transaction has been included in a block it needs 6 hours to become active. After that, you\'ll have access to node selection and start/stop commands.',
        IMPORTANCE_TRANSFER_INFO_PART_2: 'Make sure you do not have a delegated account activated already (if it is an imported account). If so you can use the old delegated public key to deactivate (if necessary).',
        IMPORTANCE_TRANSFER_INFO_PART_MULTISIG: 'For multisignature accounts only the cosignatory that initiated the importance transfer transaction can start and stop harvesting. If any other cosignatory want to take back power on harvesting, he just need to deactivate and reactivate the remote status.',
        IMPORTANCE_TRANSFER_NO_BLOCKS_HARVESTED: 'No blocks harvested',
        IMPORTANCE_TRANSFER_HARVESTING_PANEL: 'Harvesting panel',
        IMPORTANCE_TRANSFER_REMOTE_ACTIVATING: 'You must wait until your remote status is active to start delegated harvesting (6 hours)',
        IMPORTANCE_TRANSFER_REMOTE_INACTIVE: 'You must send an importance transfer from the left panel to activate your remote account',
        IMPORTANCE_TRANSFER_MULTISIG_NOT_INITIATOR: 'You are not the cosignatory that initiated the importance transfer, therefore it is not possible for you to see, start or stop the delegated harvesting status directly. Please, contact the cosignatory managing the remote account. You can kick a manager and take back the control of harvesting by deactivating and reactivating with your remote.',
        IMPORTANCE_TRANSFER_PRIVATE_KEY_PLACEHOLDER: 'Reveal delegated private key',
        IMPORTANCE_TRANSFER_DELEGATED_KEYS: 'Delegated account Key',
        IMPORTANCE_TRANSFER_HARVESTING_STATUS: 'Harvesting status',
        IMPORTANCE_TRANSFER_START_HARVESTING: 'Start delegated harvesting',
        IMPORTANCE_TRANSFER_STOP_HARVESTING: 'Stop delegated harvesting',
        IMPORTANCE_TRANSFER_ACTIVATE_DEACTIVATE_REMOTE: 'Activate / Deactivate the delegated account',
        IMPORTANCE_TRANSFER_SHOW_DELEGATED_KEYS: 'Show delegated account keys',

        // CREATE MOSAIC MODULE
        MOSAIC_DEFINITION_TITLE: 'Create a mosaic',
        MOSAIC_DEFINITION_NAME: 'Mosaic definition transaction',
        MOSAIC_DEFINITION_MULTISIG_NAME: 'Multisignature mosaic definition transaction',
        MOSAIC_DEFINITION_QUANTITY: 'Quantity',
        MOSAIC_DEFINITION_DIV: 'Divisibility',
        MOSAIC_DEFINITION_TOTAL_SUPPLY: 'Total supply',
        MOSAIC_DEFINITION_FINAL_NAME: 'Full Name',
        MOSAIC_DEFINITION_DESCRPITION: 'Description',
        MOSAIC_DEFINITION_INITIAL_SUPPLY: 'Initial supply',
        MOSAIC_DEFINITION_MUTABLE_SUPPLY: 'Mutable supply',
        MOSAIC_DEFINITION_TRANSFERABLE: 'Transferable',
        MOSAIC_DEFINITION_PROPERTIES: 'Properties',
        MOSAIC_DEFINITION_MOSAIC_PROPERTIES: 'Mosaic properties',
        MOSAIC_DEFINITION_REQUIRES_LEVY: 'Requires levy',
        MOSAIC_DEFINITION_LEVY_LIMITATION: 'UI-limitation: right now, only owned mosaics can be used as a levy.',
        MOSAIC_DEFINITION_LEVY_SELECT_MOSAIC: 'Select levy mosaic',
        MOSAIC_DEFINITION_LEVY_ADDRESS: 'Levy address',
        MOSAIC_DEFINITION_LEVY_FEE_TYPE: 'Fee type',
        MOSAIC_DEFINITION_LEVY_FEE_TYPE_1: 'Absolute',
        MOSAIC_DEFINITION_LEVY_FEE_TYPE_2: 'Percentile',
        MOSAIC_DEFINITION_LEVY_FEE_TYPE_1_NOTE: 'Selecting absolute, will cause constant levy of',
        MOSAIC_DEFINITION_LEVY_FEE_TYPE_2_NOTE: 'Selecting percentile, will cause linear levy:',
        MOSAIC_DEFINITION_LEVY_FEE_TYPE_2_NOTE_2: 'Sending',
        MOSAIC_DEFINITION_LEVY_FEE_TYPE_2_NOTE_3: 'will imply levy of',
        MOSAIC_DEFINITION_PARENT: 'Parent Namespace',
        MOSAIC_DEFINITION_INFORMATION_TITLE: 'Creating a Mosaic',
        MOSAIC_DEFINITION_INFORMATION: 'Want more info about mosaics?',
        MOSAIC_DEFINITION_INFORMATION_1: 'The maximum length for a mosaic name is 32 characters. Allowed characters are:',
        MOSAIC_DEFINITION_INFORMATION_2: 'The first character must be a letter from the alphabet or a number.',
        MOSAIC_DEFINITION_INFORMATION_3: 'The description may not exceed a length of 512 characters. There is no limitation for the characters used in the description.',
        MOSAIC_DEFINITION_INFORMATION_4: 'The behavior of a mosaic can be customized by a set of properties:',
        MOSAIC_DEFINITION_INFORMATION_5: 'The supply is given in entire units of the mosaic, not in smallest sub-units. The initial supply must be in the range of 0 and 9,000,000,000.',
        MOSAIC_DEFINITION_INFORMATION_6: 'The divisibility determines up to what decimal place the mosaic can be divided into. Thus a divisibility of 3 means that a mosaic can be divided into smallest parts of 0.001 mosaics, i.e. milli mosaics is the smallest sub-unit. The divisibility must be in the range of 0 and 6.',
        MOSAIC_DEFINITION_INFORMATION_7: 'If checked, it allows a mosaic supply change at a later point, otherwise supply is immutable.',
        MOSAIC_DEFINITION_INFORMATION_8: 'Allow transfers of the mosaic among accounts other than the creator. If the property \'transferable\' is not checked, only transfer transactions having the creator as sender or as recipient can transfer mosaics of that type. If checked the mosaics can be transferred to and from arbitrary accounts.',
        MOSAIC_DEFINITION_INFORMATION_9: 'The creator can demand that a special fee is collected from the sender and sent to an account of his choice (thus the creator can specify his own account as recipient of this fee). The data for the levy is the following:',
        MOSAIC_DEFINITION_INFORMATION_10: 'The mosaic in which the fee has to be paid. Any existing mosaic can be specified.',
        MOSAIC_DEFINITION_INFORMATION_11: 'The recipient of the levy. This can be any account.',
        MOSAIC_DEFINITION_INFORMATION_12: 'The fee quantity. The interpretation is dependent on the field \'fee type\', see above.',
        MOSAIC_DEFINITION_INFORMATION_13: 'There are two fee types supported, absolute fee and percentile fee.',
        MOSAIC_DEFINITION_INFORMATION_14: 'The fee is specified as absolute quantity and thus does not depend on the quantity that is transferred.',
        MOSAIC_DEFINITION_INFORMATION_15: 'The fee is specified as multiple of the percentile of the quantity that is transferred. The fee is thus linearly increasing with the transferred mosaic quantity.',
        MOSAIC_DEFINITION_INFORMATION_16: 'Sending mosaics on the NEM blockchain requires a fee. The exact fee is calculated depending on their total number and how many are being sent during a transaction. <b>Small business mosaics</b> are given a discounted flat rate of 0.05 XEM per mosaic per transfer. These are mosaics with a quantity of less than 10,000 and a divisibility of 0.',
        MOSAIC_DEFINITION_INFORMATION_17: 'If you own 100% of the supply, you can overwrite all the mosaic properties by sending a creation transaction again with the same "namespace:mosaic" name.',

        // EDIT MOSAIC MODULE
        MOSAIC_SUPPLY_CHANGE_TITLE: 'Change mosaic supply',
        MOSAIC_SUPPLY_CHANGE_NAME: 'Mosaic supply change transaction',
        MOSAIC_SUPPLY_CHANGE_MULTISIG_NAME: 'Multisignature mosaic supply change transaction',
        MOSAIC_SUPPLY_CHANGE_SELECT: 'Select mosaic',
        MOSAIC_SUPPLY_CHANGE_TYPE: 'Change type',
        MOSAIC_SUPPLY_CHANGE_TYPE_1: 'Create',
        MOSAIC_SUPPLY_CHANGE_TYPE_2: 'Delete',
        MOSAIC_SUPPLY_CHANGE_SUPPLY: 'Supply',
        MOSAIC_SUPPLY_CHANGE_CURRENT_SUPPLY: 'Current supply',
        MOSAIC_SUPPLY_CHANGE_AMOUNT: 'Change amount',
        MOSAIC_SUPPLY_CHANGE_RES_SUPPLY: 'Resulting supply',

        // NAMESPACE MODULE
        NAMESPACE_PROVISION_TITLE: 'Create namespace & sub-namespace',
        NAMESPACE_PROVISION_NAME: 'Provision namespace transaction',
        NAMESPACE_PROVISION_MULTISIG_NAME: 'Multisignature provision namespace transaction',
        NAMESPACE_PROVISION_PARENT: 'Parent Namespace',
        NAMESPACE_PROVISION_NEW_ROOT: 'New root Namespace',
        NAMESPACE_PROVISION_NS: 'Namespace',
        NAMESPACE_PROVISION_NS_NAME: 'Namespace name',
        NAMESPACE_PROVISION_RESTRICTIONS: 'Namespace Restrictions',
        NAMESPACE_PROVISION_INFORMATION_1: 'Namespaces have certain restrictions with respect to the characters being allowed in the parts as well as the length of a part. A root namespace may have a length of 16 characters while sub-namespaces may have a length of 64 characters. Valid characters are:',
        NAMESPACE_PROVISION_INFORMATION_2: 'However a part is only allowed to begin with a letter of the alphabet or a number, thus \'alice\' is an allowed part for a root namespace while \'_alice\' is not. Certain strings are reserved and thus not allowed as namespace parts. Among the disallowed namespace parts are:',
        NAMESPACE_PROVISION_INFORMATION_3: 'This list is not final and can be extended in the future. Thus \'user.alice\' or \'alice.user\' are not allowed in the NEM namespace system. The namespace may have up to 3 parts, thus \'qm.metals.silver\' is valid while \'qm.metals.silver.coin\' is not.',

        // RENEW NAMESPACE MODULE
        RENEW_NS_TITLE: 'Renew namespaces',
        RENEW_NS_NONE: 'No namespace to renew',
        RENEW_NS_INFORMATION_TITLE: 'Renewing Namespaces',
        RENEW_NS_INFORMATION_TITLE_1: 'Fees',
        RENEW_NS_INFORMATION_TITLE_2: 'Root Namespaces',
        RENEW_NS_INFORMATION_TITLE_3: 'Renewal Period',
        RENEW_NS_INFORMATION_1: 'Renewing a namespace costs the same amount as registering a new namespace, 100 XEM.',
        RENEW_NS_INFORMATION_2: 'Only root namespaces need to be renewed. All sub-namepsaces will be renewed automatically upon renewal of the root namespace.',
        RENEW_NS_INFORMATION_3: 'Namespace contracts are on-chain rental contracts good for one year. The contract may be renewed one month prior to or after their expiration date.',
        RENEW_NS_INFORMATION_4: 'If not renewed in time, all sub-namespaces and mosaics created under it will be lost.',
        RENEW_NS_ALERT_PART_1: '<b>Warning!</b> The namespace:',
        RENEW_NS_ALERT_PART_2: 'will expire in less than a month! ',
        RENEW_NS_ALERT_PART_3: 'Consult the <b>renew page</b> for more information.',

        // ACCOUNT MODULE
        ACCOUNT_TITLE: 'Account',
        ACCOUNT_ACCOUNT_INFORMATION: 'Account information',
        ACCOUNT_IMPORTANCE_SCORE: 'Importance score',
        ACCOUNT_VESTED_BALANCE: 'Vested balance',
        ACCOUNT_HARVESTING: 'Harvesting',
        ACCOUNT_REMOTE_STATUS: 'Remote status',
        ACCOUNT_DELEGATED_PUBLIC: 'Delegated public key',
        ACCOUNT_HARVESTED_BLOCKS: 'Harvested blocks',
        ACCOUNT_START_STOP_HARVESTING: 'Start / Stop delegated harvesting',
        ACCOUNT_HARVESTING_NOTE: 'The node used to harvest on this account is stored in your <b>browser local storage</b>. If the browser storage is erased the app won\'t know which node you were using and therefore the <b>harvesting status</b> will show <b>inactive</b>. In this case, select the node you were using, and it will restore the harvesting status automatically. If the status is not restored, check if you have selected the right node; otherwise, it means that the node has been rebooted and your account is no longer harvesting.',
        ACCOUNT_HARVESTING_NODE_SELECT: 'Select a node to harvest on',
        ACCOUNT_HARVESTING_START: 'Start delegated harvesting',
        ACCOUNT_HARVESTING_STOP: 'Stop delegated harvesting',
        ACCOUNT_HARVESTING_NO_SLOTS: 'No free slots on selected node, please choose another',
        ACCOUNT_HARVESTING_BELOW_THRESHOLD: 'You need 10\'000 vested XEM to start delegated harvesting',
        ACCOUNT_ACCOUNT_SELECT: 'Select another account',
        ACCOUNT_ACCOUNT_SELECT_LABEL: 'Choose Account',
        ACCOUNT_WALLET_KEYS: 'Wallet & keys',
        ACCOUNT_ADD_NEW_ACCOUNT: 'Add new account',
        ACCOUNT_ADD_NEW_ACCOUNT_BTN: 'Add a new account into wallet',
        ACCOUNT_PRIVATE_KEY_NOTE: 'Your private key holds all the power of your account. It is a priority to make sure it is stored safely somewhere <b><u>offline</u></b>: password encrypted into a .wlt file, written on a piece of paper, and on a picture or download the <b><u>export wallet QR</u></b>.',
        ACCOUNT_PRIVATE_KEY_SHOW: 'Show private key',
        ACCOUNT_EXPORT_MOBILE: 'Export to mobile',
        ACCOUNT_INFO_QR_BTN: 'Share account info QR',
        ACCOUNT_WALLET_QR_BTN: 'Wallet QR',
        ACCOUNT_WALLET_QR_BTN_2: 'Export wallet QR (Android and IOS)',
        ACCOUNT_QR_BTN_2: 'Export account QR (Android and IOS) [Opt In]',
        ACCOUNT_BACKUP_WALLET: 'Backup wallet',
        ACCOUNT_BACKUP_WALLET_NOTE: 'It is <b><u>very important</u></b> that you have backups of your wallets to log in with or your XEM will be lost.',
        ACCOUNT_BACKUP_WALLET_DOWNLOAD: 'Download wallet',
        ACCOUNT_INFO_QR_TITLE: 'Account information QR',
        ACCOUNT_WALLET_QR_NOTE: 'This QR is only working on upcoming NEMpay mobile app',
        ACCOUNT_WALLET_QR_ANDROID_IOS_TITLE: 'Wallet QR for Android & IOS apps',
        ACCOUNT_QR_ANDROID_IOS_TITLE: 'Account QR for Android & IOS apps',
        ACCOUNT_ADD_NEW_ACCOUNT_WARNING: 'All accounts are derived from your primary private key and password using BIP32, so both your primary private key and your password are needed to retrieve/recreate all your secondary accounts. <br> It is still <b>highly recommended</b> to backup your wallet after adding new accounts to not repeat the operation again if local storage is erased.',
        ACCOUNT_CUSTOM_NODE: 'Use custom node',
        ACCOUNT_NODE_FROM_LIST: 'Use node from list',
        ACCOUNT_DELEGATED_PRIVATE_KEY: 'Delegated private key',
        ACCOUNT_NO_PUBLIC_KEY: 'You need to make a transaction to get a public key',
        ACCOUNT_SHOW_ON_TREZOR_BTN: 'Show on TREZOR',

        // PORTAL MODULE
        PORTAL_TITLE: 'Services',
        PORTAL_MULTISIG_TITLE: 'Multisignature and Multi-User Accounts',
        PORTAL_MULTISIG_TEXT: 'Multisig accounts are editable on-chain contracts, the most powerful way to secure funds, enable joint accounts, and are the foundation of DAOs.',
        PORTAL_MULTISIG_BTN_1: 'Convert an account to multisig',
        PORTAL_MULTISIG_BTN_2: 'Edit an exisiting contract',
        PORTAL_MULTISIG_BTN_3: 'Sign multisig transactions',
        PORTAL_HARVESTING_TITLE: 'Delegated Harvesting',
        PORTAL_HARVESTING_TEXT: 'Delegated harvesting is the feature that allows "mining" even while your account is closed.',
        PORTAL_EXCHANGE_TITLE: 'Instant Exchanges',
        PORTAL_EXCHANGE_TEXT: 'Use Changelly widget to buy XEM at the best rates!',
        PORTAL_EXCHANGE_BTN: 'Buy XEM',
        PORTAL_NS_TITLE: 'Namespaces & Subdomains',
        PORTAL_NS_TEXT: 'Namespaces are domain names. Each namespace is unique and authenticates mosaics (assets) issued on it or on its subdomains.',
        PORTAL_NS_BTN: 'Create namespace',
        PORTAL_MOSAIC_TITLE: 'Mosaics',
        PORTAL_MOSAIC_TEXT: 'NEM mosaics are assets that expose additional properties and other features. To be able to create a mosaic, an account must rent at least one root namespace.',
        PORTAL_MOSAIC_BTN_1: 'Create mosaic',
        PORTAL_MOSAIC_BTN_2: 'Edit mosaic',
        PORTAL_APOSTILLE_TITLE: 'Apostille',
        PORTAL_APOSTILLE_TEXT: 'Use the NEM Apostille service to create blockchain based notarizations to time stamp, follow and audit file authenticity.',
        PORTAL_APOSTILLE_BTN_1: 'Create',
        PORTAL_APOSTILLE_BTN_2: 'Audit',
        PORTAL_ADDRESS_BOOK_TEXT: 'Assign labels to addresses to easily keep track of your contacts.',
        PORTAL_ADDRESS_BOOK_BTN: 'Manage address book',
        PORTAL_INVOICE_TEXT: 'Create an invoice to share via QR code',
        PORTAL_SIGNED_MSG_TEXT: 'Create and verify signed messages to authenticate account ownership without transacting.',

        // ADDRESS BOOK MODULE
        ADDRESS_BOOK_TITLE: 'Address book',
        ADDRESS_BOOK_NAVIGATION: 'Navigation',
        ADDRESS_BOOK_NEW: 'New contact',
        ADDRESS_BOOK_EDIT: 'Edit contact',
        ADDRESS_BOOK_REMOVE: 'Remove contact',
        ADDRESS_BOOK_NEW_BTN: 'Add',
        ADDRESS_BOOK_EDIT_BTN: 'Save',
        ADDRESS_BOOK_REMOVE_BTN: 'Remove',
        ADDRESS_BOOK_EXPORT_BTN: 'Export address book',
        ADDRESS_BOOK_IMPORT_BTN: 'Import address book',
        ADDRESS_BOOK_CONTACT_LABEL: 'Label',
        ADDRESS_BOOK_ACCOUNT_ADDRESS: 'Account address',
        ADDRESS_BOOK_ACTIONS: 'Actions',
        ADDRESS_BOOK_CONFIRM_DELETE: 'Confirm deletion of address book entry',

        // EXPLORER MODULE NAV
        EXPLORER_NAV_HOME: 'Home',
        EXPLORER_NAV_NSM: 'Namespaces & Mosaics',
        EXPLORER_NAV_APOSTILLES: 'Apostilles',

        // EXPLORER HOME MODULE
        EXPLORER_HOME_TITLE: 'Explorer - Home',
        EXPLORER_HOME_NS: 'Your Namespaces',
        EXPLORER_HOME_MOSAICS: 'Your Mosaics',
        EXPLORER_HOME_NS_MULTISIG: 'Multisig Owned Namespaces',
        EXPLORER_HOME_MOSAICS_LEVY: 'Levy mosaic',

        // EXPLORER NAMESPACES AND MOSAICS
        EXPLORER_NS_MOS_TITLE: 'Explorer - Namespaces and Mosaics',
        EXPLORER_NS_MOS_SELECT_MOS: 'Selected Mosaic Details',
        EXPLORER_NS_MOS_SEARCH: 'Search namespace',

        // EXPLORER APOSTILLES MODULE
        EXPLORER_APOSTILLES_TITLE: 'Explorer - Apostilles',
        EXPLORER_APOSTILLES_YOURS: 'Your apostilles',
        EXPLORER_APOSTILLES_PUBLIC: 'Public sink',
        EXPLORER_APOSTILLES_NO_NTY: 'No nty file loaded, please click here to import one.',

        // ACCOUNT EXPLORER
        ACCOUNTS_EXPLORER_TITLE: 'Explorer - Accounts',
        ACCOUNTS_EXPLORER_SEARCH: 'Search',

        // TRANSACTIONS EXPLORER
        EXPLORER_TRANSACTIONS_TITLE: 'Your transactions history',
        EXPLORER_TRANSACTIONS_LOAD_MORE: 'Load more',


        // APOSTILLE HISTORY MODULE
        APOSTILLE_HISTORY_TITLE: 'Apostille history',
        APOSTILLE_HISTORY_BTN_TRANSFER: 'Transfer / Split ownership',
        APOSTILLE_HISTORY_BACKUP: 'Backup notary data',
        APOSTILLE_HISTORY_PURGE: 'Purge notary data',

        // CREATE APOSTILLE MODULE
        APOSTILLE_CREATE_TITLE: 'Create apostilles',
        APOSTILLE_CREATE_HELP: 'Want more info on apostille?',
        APOSTILLE_TRANSACTION_NAME: 'Apostille transaction',
        APOSTILLE_TRANSACTION_MULTISIG_NAME: 'Multisignature apostille transaction',
        APOSTILLE_KEEP_PRIVATE: 'Private, transferable, and updateable',
        APOSTILLE_USE_DEDICATED: 'Use dedicated account',
        APOSTILLE_FILES_TO_NOTARIZE: 'Files to notarize',
        APOSTILLE_REJECTED: 'Rejected',
        APOSTILLE_FILE_HASH: 'File hash',
        APOSTILLE_PRIVATE: 'Private',
        APOSTILLE_FILENAME: 'File name',
        APOSTILLE_NAME_TOO_LONG: 'File name is too long, 32 characters maximum allowed.',
        APOSTILLE_MAX_NUMBER: 'Maximum apostilles per batch is 25',
        APOSTILLE_INFORMATION_TITLE: 'Creating an Apostille',
        APOSTILLE_INFORMATION_1: 'Each file uploaded is processed automatically with options set on the left panel. You can add new files, change parameters and then add more files with different options. It\'ll also work if you switch to the multisig tab and add more files.',
        APOSTILLE_INFORMATION_2: '"<b>Private, transferable, and updateable</b>" option means that the hashes of your files are signed with your private key and sent to a dedicated hierarchical deterministic (HD) account. This way it is not possible for anyone but you to know what content has been time stamped unless you share the content.',
        APOSTILLE_INFORMATION_3: 'The dedicated HD account can be put under a multisig contract so that it may be transferred to others via 1-of-1 or any m-of-n multisig contract combination. It can also have additional information sent to it via messages with updates and augments to the original document or the product it represents.',
        APOSTILLE_INFORMATION_4: 'When two or more parties want to both approve of a blockchain timestamp, e.g. binding contracts, the account making the blockchain notarization can be put in an n-of-n multisig contract.',
        APOSTILLE_INFORMATION_5: 'For accounts in a multisignature contract that have selected "<b>Private, transferable, and updateable</b>", the initiating cosigner\'s private key is used to sign the hash and create a dedicated HD account, not the account that was multisigged.',
        APOSTILLE_INFORMATION_6: 'The HD account is a dedicated account generated from a hash of the filename that is then signed by your private key. This resulting hash of this process is then used to form a second private key.  This is the time-stamped file\'s private key; a first in blockchain technology only found in Apostille.',
        APOSTILLE_INFORMATION_7: 'The dedicated HD account allows you to store the original file\'s signed hash and its updates on a dedicated account. If <b>"Public"</b> is selected, the transaction goes to the public sink address (default).',
        APOSTILLE_INFORMATION_8: 'After the transactions are sent the download of an archive is triggered. It contains your signed files, your Apostille certificate for that file, and the new or updated .nty file to keep track of every file you time stamped on the NEM chain.',
        APOSTILLE_NO_NTY: 'No nty file loaded, please click here to import one or a new will be created automatically.',
        APOSTILLE_IMPORT_FILES: 'Import files',
        APOSTILLE_CREATE_TEXT: 'Create text document',
        APOSTILLE_ENTER_TEXT: 'Enter text to notarize...',
        APOSTILLE_DOCUMENT_TITLE: 'Document title',
        APOSTILLE_DROPBOX_MESSAGE: 'Please enter your password and desired tag(s) before selecting files',
        APOSTILLE_DROPBOX_MESSAGE_2: 'Please enter your password before selecting files',

        // AUDIT APOSTILLE MODULE
        APOSTILLE_AUDIT_TITLE: 'Audit apostilles',
        APOSTILLE_AUDIT_CHOOSE_NODE: 'Choose a node',
        APOSTILLE_AUDIT_CHOOSE_NODE_NOTE: 'Only a few nodes are able to search into the whole transaction history (option is disabled by default in NIS).',
        APOSTILLE_AUDIT_WRONG_FORMAT: 'This file is not in apostille format!',
        APOSTILLE_AUDIT_FAIL_NO_PUBLIC_KEY: 'Verification failed, owner has no public key!',
        APOSTILLE_AUDIT_SUCCESS: 'File successfully audited!',
        APOSTILLE_AUDIT_FAIL: 'Verification failed!',
        APOSTILLE_AUDIT_WAITING: 'Apostille transfer might be waiting for confirmation!',
        APOSTILLE_AUDIT_NOT_FOUND: 'Transaction not found, make sure it is not waiting for confirmations otherwise apostille is invalid',
        APOSTILLE_AUDIT_ERROR_UNCONFIRMED: 'An error occurred while fetching unconfirmed data but transaction was not found',
        APOSTILLE_AUDIT_ERROR_SIGNER: 'An error occured while fetching signer data',
        APOSTILLE_AUDIT_ERROR_SIGNATURE: 'Verification failed, an error occured at signature verification!',
        APOSTILLE_AUDIT_INFORMATION_1: 'Files that can be audited must be in <b>apostille format</b>',
        APOSTILLE_AUDIT_INFORMATION_2: 'You can recognize those by the filename:',
        //APOSTILLE_AUDIT_NON_SIGNED: 'Non signed exemple:',
        //APOSTILLE_AUDIT_SIGNED: 'Signed exemple:',
        APOSTILLE_AUDIT_FILES: 'Audit files',
        APOSTILLE_AUDIT_FORMAT_EXAMPLE: 'Apostille format example',
        APOSTILLE_AUDIT_REMOVE_RECORDS: 'Remove records locally',

        // APOSTILLE MESSAGE MODULE
        APOSTILLE_MESSAGE_TITLE: 'Send message to notarization account',
        APOSTILLE_MESSAGE_NS_BRAND: 'Use my namespace to brand message',
        APOSTILLE_MESSAGE_ADD_MOSAIC: 'Add mosaic',
        APOSTILLE_NTY_ACCOUNT: 'Notarization account',
        APOSTILLE_REQUEST_MESSAGE: 'Request message',
        APOSTILLE_CREATE_MESSAGE_REQUEST: 'Create a message request',

        // TRANSFER APOSTILLE OWNLERSHIP MODULE
        APOSTILLE_TRANSFER_TITLE: 'Transfer or Split apostille ownership',

        // UPADTE APOSTILLE MODULE
        APOSTILLE_UPDATE_TITLE: 'Update apostille',

        // ERROR ALERTS
        ALERT_MISSING_FORM_DATA: 'Please complete the form!',
        ALERT_ERROR_WALLET_DOWNLOAD: 'Can\'t download wallet because it doesn\'t exists!',
        ALERT_PASSWORDS_NOT_MATCHING: 'Provided passwords or passphrases does not match!',
        ALERT_INVALID_KEY_FOR_ADDR: 'Private key does not correspond to the address provided!',
        ALERT_NO_WALLET_LOADED: 'You can\'t access the dashboard without a wallet',
        ALERT_WALLET_NAME_EXISTS: 'A wallet with the same name is already loaded!',
        ALERT_INVALID_WALLET_FILE: 'You are trying to load a file that is not a wallet!',
        //ALERT_NO_NODE_SET: 'Please enter a node!',
        ALERT_INVALID_CUSTOM_NODE: 'Your custom node is invalid!',
        ALERT_INVALID_WEBSOCKET_PORT: 'Custom node\'s websocket port is invalid!',
        ALERT_MIJIN_DISABLED: 'Mijin network is disabled, please select another network!',
        ALERT_GET_NS_BY_ID_ERROR: 'Error at fetching namespace info, reason: ',
        ALERT_GET_ACCOUNT_DATA_ERROR: 'Error at fetching account data, reason: ',
        ALERT_ERROR_OCCURRED: 'An error ocurred! ',
        ALERT_INVALID_ADDR_FOR_NETWORK: ' does not correspond to the network ',
        ALERT_INVALID_PASSWORD: 'Provided password is not valid!',
        ALERT_COSIG_ALREADY_IN_LIST: 'Cosignatory is already present in modification list!',
        ALERT_COSIGNATORY_HAS_NO_PUBLIC: 'Cosignatory must have at least one transaction to get a public key!',
        ALERT_MULTISIG_HAS_NO_PUBLIC: 'Multisig account must have at least one transaction to get a public key!',
        ALERT_COSIG_CANNOT_BE_MULTISIG: 'Selected account to convert is cosignatory of another multisig account. Therefore it cannot be converted',
        ALERT_NO_NS_OWNED: 'Account does not own any namespace, please create one or change account',
        ALERT_UNLOCKED_INFO_ERROR: 'An error occured at fetching unlock info',
        ALERT_LOCK_ERROR: 'Error at locking account, reason: ',
        ALERT_UNLOCK_ERROR: 'Error at unlocking account, reason: ',
        ALERT_SUPERNODES_ERROR: 'Error occured at fetching supernodes data!',
        ALERT_INVALID_NTY_FILE: 'Provided file is not an nty file!',
        ALERT_CREATE_WALLET_FAILED: 'Failed to create wallet, reason: ',
        ALERT_DERIVATION_FROM_SEED_FAILED: 'Failed to derive account from seed, reason: ',
        ALERT_BIP32_GENERATION_FAILED: 'Failed to generate bip 32 data, reason: ',
        ALERT_NO_WALLET_DATA: 'Error, empty wallet data!',
        ALERT_CANNOT_LOGIN_WITHOU_WALLET: 'Error, can\'t login without wallet!',
        ALERT_NO_WALLET_TO_SET: 'Error, can\'t set nothing as current wallet!',
        ALERT_INVALID_WALLET_INDEX: 'Error, selected account index is out of bounds!',
        ALERT_NO_CURRENT_WALLET: 'Error, can\'t set a wallet account if no current wallet!',
        ALERT_ALREADY_MULTISIG: 'Selected account is already a multisig account!',
        ALERT_INVALID_MODIFICATION_ARRAY: 'A multisig account can\'t be cosignatory of itslef, please check your modification list!',
        ALERT_GET_MARKET_INFO_ERROR: 'An error occured while trying to fetch market information!',
        ALERT_MULTISIG_CANNOT_BE_COSIG: 'A multisig account cannot be set as cosignatory!',
        ALERT_PURGE_CANCELLED: 'Purge cancelled!',
        ALERT_MAINNET_DISABLED: 'Mainnet is disabled, please select another network!',
        ALERT_EMPTY_DECODED_MSG: 'An error occured, no decoded message!',
        ALERT_INVALID_NS_NAME: 'Name of namespace is invalid!',
        ALERT_INVALID_MOSAIC_NAME: 'Name of mosaic is invalid!',
        ALERT_MOSAIC_DESCRIPTION: 'Description of mosaic is too long!',
        ALERT_GET_INCOMING_TXES_ERROR: 'An error occured while trying to fetch incoming transactions, reason: ',
        ALERT_GET_MOSAICS_DEFINITIONS_ERROR: 'Error at fetching mosaics definitions, reason: ',
        ALERT_GET_SUB_NS_ERROR: 'Error at fetching namespaces definitions, reason: ',
        ALERT_GET_MOSAICS_ERROR: 'Error at fetching mosaics, reason: ',
        ALERT_GET_TRANSACTIONS_ERROR: 'Error at fetching transactions, reason: ',
        ALERT_INVALID_ADDRESS_BOOK_FILE: 'This file is not in .adb format!',
        ALERT_INVALID_ADDRESS: 'Provided address is not valid!',
        ALERT_INVALID_AMOUNT: 'Amount is not valid!',
        ALERT_INVALID_PRIVATE_KEY: 'Provided private key is not valid!',
        ALERT_FILE_SIZE_ERROR: ' is too big, maximum size allowed is 100 MB',
        ALERT_MESSAGE_DECODE_KEY_ERROR: 'Message decryption failed because an account has no public key visible on the network',
        ALERT_FETCH_TIME_SYNC_ERROR: 'An error occured at fetching network time!',
        ALERT_MULTISIG_MIN_SIGNATURE: 'Multisignature account needs at least one minimum signature',
        ALERT_BTC_MARKET_ERROR: 'Error while trying to fetch Bitcoin price',
        ALERT_COSIG_REMOVAL_LIMIT: 'Only one cosignatory at a time can be removed',
        ALERT_MULTISIG_MIN_SIGNATURE_INVALID: 'Invalid number of minimum signatures',
        ALERT_INSUFFICIENT_BALANCE: 'Insufficient balance for performing the operation',
        ALERT_VOTING_ERROR: 'Invalid Vote',
        ALERT_BRAIN_PASSWORD_TOO_SHORT: 'Brain wallet passphrase must be at least 40 characters!',
        ALERT_NODE_SEEMS_OFFLINE: 'Node seems offline, please select another one',
        ALERT_WEAK_PASSPHRASE: 'Security score of the passphrase must be at least 3',
        ALERT_BRAIN_WALLET_UPGRADE: 'Your brain wallet seems weak! All brain wallets must use a passphrase with at least 40 characters.<br> We advise you to create a new simple wallet from the signup page and move your funds into it.<br> More info <a href="https://forum.nem.io/t/2791" target="_blank"><u>here</u></a>.',
        ALERT_RECIPIENT_PUBLIC_KEY: 'Recipient has no public key visible to the network',
        ALERT_ENCRYPT_MULTISIG: 'Can\'t send encrypted messages via multisig accounts',
        ALERT_EXCHANGE_NEEDS_MESSAGE: 'Recipient is an exchange wallet and thus it requires a message for your account to be correctly credited, please read carefully the exchange deposit instructions!',
        ALERT_ACCOUNT_ALREADY_IN_ADDRESS_BOOK: 'Contact already present in address book!',
        ALERT_MAX_MOSAIC_SUPPLY: 'Maximum mosaic supply is 9\'000\'000\'000',
        ALERT_GET_MOSAIC_SUPPLY_ERROR: 'Error at fetching mosaic supply, reason: ',
        ALERT_ENCRYPTED_MSG_OFFLINE: 'Encrypted messaging is not enabled in offline transactions',

        // SUCCESS ALERTS
        ALERT_CREATE_WALLET_SUCCESS: 'Wallet successfully created and loaded!',
        ALERT_SUCCESS_PURGE: 'Local storage successfully purged!',
        ALERT_SUCCESS_LOGOUT: 'Successfully logged out!',
        ALERT_LOAD_WALLET_SUCCESS: 'Wallet successfully loaded!',
        ALERT_TRANSACTION_SUCCESS: 'Transaction successfully sent!',
        ALERT_GENERATE_ACCOUNT_SUCCESS: 'Account successfully generated. Don\'t forget to download your updated wallet!',
        ALERT_UPGRADE_SUCCESS: 'Wallet successfully upgraded!',
        ALERT_SIGNATURE_SUCCESS: 'Transaction successfully signed!',
        ALERT_NTY_FILE_SUCCESS: 'Successfully loaded nty file!',
        ALERT_INCOMING_TX_FROM: 'Incoming transaction from ',
        ALERT_ADDRESS_BOOK_FILE_SUCCESS: 'Address book successfully imported!',
        ALERT_VOTING_SUCCESS: 'Vote Sent Successfully',
        ALERT_POLL_CREATION_SUCCESS: 'Poll Created Successfully',
        ALERT_COPY_SIGNED_TX_SUCCESS: 'Signed transaction copied!',
        ALERT_COPY_SIGNED_MSG_SUCCESS: 'Signed message copied!',

        // CONVERT ACCOUNT TO MULTISIG
        AGGREGATE_MODIFICATION_TITLE: 'Convert an account to multisig',
        AGGREGATE_MODIFICATION_NAME: 'Aggregate modification transaction',
        AGGREGATE_MODIFICATION_MULTISIG_NAME: 'Multisignature aggregate modification transaction',
        AGGREGATE_ACCOUNT_SELECT_TITLE: 'Account to Convert',
        AGGREGATE_ACCOUNT_SELECT: 'Select an account to convert',
        AGGREGATE_CUSTOM_ACCOUNT: 'Import Key',
        AGGREGATE_ACCOUNT_TO_CONVERT_PRIVATE_TITLE: 'Address private key',
        AGGREGATE_ACCOUNT_TO_CONVERT: 'Account to convert address',
        AGGREGATE_ACCOUNT_TO_CONVERT_PRIVATE: 'Account to convert private key',
        AGGREGATE_ADD_PLACEHOLDER: 'Cosignatory account or @alias to add',
        AGGREGATE_ADD_BTN_TITLE: 'Add Signer',
        AGGREGATE_MIN_SIGNATURES: 'Minimum signatures required',
        AGGREGATE_MIN_SIGNATURES_PLACEHOLDER: 'Minimum signatures needed to validate a transaction',
        AGGREGATE_MODIFICATION_LIST: 'Modifications list',
        AGGREGATE_COSIG_LIST: 'Cosignatory Address List',
        AGGREGATE_MODIFICATION_EDIT_TITLE: 'Edit a multisignature contract',
        AGGREGATE_MODIFICATION_EDIT_SELECT_TITLE: 'Account to edit',
        AGGREGATE_MODIFICATION_EDIT_SELECT: 'Select an account to edit',
        AGGREGATE_ADD_REMOVE_TITLE: 'Add/Remove signer',
        AGGREGATE_ADD_REMOVE_PLACEHOLDER: 'Cosignatory account or @alias to add',
        AGGREGATE_MODIFICATION_RELATIVE_CHANGE: 'Change Sigs Needed',
        AGGREGATE_MODIFICATION_RELATIVE_CHANGE_PLACEHOLDER: 'Number of signatures to add (n) or remove (-n) - Automated removals',
        AGGREGATE_SELECTED_ACCOUNT_INFO: 'Selected account information',
        AGGREGATE_MIN_SIGNATURES: 'Min signatures',
        AGGREGATE_SELECT_WALLET_ACCOUNT: 'Use wallet account',
        AGGREGATE_ADD_COSIG: 'Add cosignatory',
        AGGREGATE_REMOVE_COSIG: 'Remove cosignatory',

        // SIGN MULTISIGNATURE TRANSACTIONS
        SIGN_MULTISIG_TRANSACTIONS_TITLE: 'Sign multisignature transactions',

        // LOGIN MODULE
        LOGIN_MEMBER_TITLE: 'Already a NEMber?',
        LOGIN_UPGRADE_TITLE: 'Wallet needs an upgrade',
        LOGIN_UPGRADE_MESSAGE: 'Selected wallet needs an upgrade. This action will generate a child public key and add it into your primary account.',
        LOGIN_UPGRADE_BUTTON: 'Upgrade wallet',
        LOGIN_IMPORT_BUTTON: 'Import Wallet',
        LOGIN_SELECT_WALLET_YOURS: 'Select wallet',
        LOGIN_SELECT_WALLET: 'Select a wallet in local storage',
        LOGIN_LOGIN_BUTTON: 'Sign In',
        LOGIN_NOTE: 'No wallet? <a href="#!/import-wallet-qr-code">Import one</a> or <a href="#!/signup">sign up</a>.',

        // SIGNUP MODULE
        SIGNUP_TITLE: 'New to NEM?',
        SIGNUP_SELECT_WALLET_TYPE: 'Select a type of wallet to create',
        SIGNUP_SELECT_WALLET_TYPE_STAND_BY: 'Place the cursor on a wallet type to show information.',
        SIGNUP_CREATE_WALLET_TITLE: 'Simple wallet',
        SIGNUP_CREATE_WALLET_INFO: 'Simple wallets contains a primary private key that is generated randomly.',
        SIGNUP_PRIVATE_KEY_WALLET_TITLE: 'Private key wallet',
        SIGNUP_PRIVATE_KEY_WALLET_INFO: 'Private key wallets contains a primary private key that you want to import.',
        SIGNUP_BRAIN_WALLET_TITLE: 'Brain wallet',
        SIGNUP_BRAIN_WALLET_INFO: 'Brain wallets contains a primary private key that is generated from a passphrase. This allow to retrieve the wallet only by knowing that exact passphrase.',
        SIGNUP_CREATE_WALLET_BUTTON: 'Create simple wallet',
        SIGNUP_PRIVATE_KEY_WALLET_BUTTON: 'Create private key wallet',
        SIGNUP_BRAIN_WALLET_BUTTON: 'Create brain wallet',
        SIGNUP_CREATE_WALLET_WARNING: 'Please read about <a href="https://www.w3.org/TR/2014/WD-WebCryptoAPI-20140325/#RandomSource-interface" rel="nofollow" target="_blank"><b>dangers</b></a> that client side generated keys pose; we are not responsible for any loss that could be due to the entropy of key generation. Even if it is unlikely to happen, it is recommended to use a private key generated from a strong source of entropy.',
        SIGNUP_NETWORK_SELECT: 'Select a network',
        SIGNUP_NETWORK_MAINNET: 'Mainnet is the <b><u>real</u></b> NEM network. Addresses start with \'N\'.',
        SIGNUP_NETWORK_TESTNET: 'Testnet is the <b><u>test</u></b> network. Addresses start with \'T\'.',
        SIGNUP_NETWORK_MIJIN: 'Mijin is the private version of NEM. Addresses start with \'M\'.',
        SIGNUP_BRAIN_WALLET_WARNING: 'Please read about <a href="https://en.bitcoin.it/wiki/Brainwallet" rel="nofollow" target="_blank"><b>dangers</b></a> that brain wallets pose. Brain wallets use ONLY a passphrase hashed multiple times. Therefore it\'s crucial to select a SAFE passphrase with at least 40 characters. <a href="https://xkcd.com/936/" rel="nofollow" target="_blank"><b>XKCD #936</b></a>',
        SIGNUP_PRIVATE_KEY_WALLET_WARNING: 'Private key wallets use ONLY a password to encrypt the imported private key. Therefore it\'s crucial to select a SAFE password.',
        SIGNUP_CREATE_START_WARNING: 'Please, follow each step carefully!',
        SIGNUP_CREATE_START_CONNECTION_WARNING: 'It is recommended to disconnect from internet while creating your wallet and backing up your data.',
        SIGNUP_CREATE_READY_BTN: 'Ready',
        SIGNUP_CREATE_ENTER_NAME: 'Enter a wallet name',
        SIGNUP_CREATE_ENTER_PASSWORD: 'Enter a password',
        SIGNUP_CREATE_ENTER_PASSPHRASE: 'Enter a passphrase',
        SIGNUP_CREATE_CONFIRM_PASSWORD: 'Confirm above password',
        SIGNUP_CREATE_CONFIRM_PASSPHRASE: 'Confirm above passphrase',
        SIGNUP_CREATE_ENTER_PRIVATE_KEY: 'Enter a private key',
        SIGNUP_CREATE_ADDRESS_FROM_PK: 'Address corresponding to above key',
        SIGNUP_CREATE_WALLET_ADD_ENTROPY_INFO: 'We are now going to generate your primary private key. <b>Please click on start and move your cursor around to add more entropy.</b>',
        SIGNUP_COMMON_WALLET_WARNING_TITLE: 'Account safety protocol',
        SIGNUP_COMMON_WALLET_WARNING_1: 'Wallets are stored <b><u>temporarily</u></b> in the browser local storage! Browsers can be configured (e.g. by add-ons) to clear the local storage at times. This will lead to the loss of the data and which can\'t be undone easily. In such a case, your wallets will be gone, so it is very important to make sure you have all needed information to restore your accounts.',
        SIGNUP_COMMON_WALLET_WARNING_2: 'Please click below to download your wallet. It is the <b><i>.wlt</i></b> file used as a backup and to import back if your browser’s local storage is erased.',
        SIGNUP_COMMON_WALLET_WARNING_3: 'If you don\'t get a backup <b><i>.wlt</i></b> file, click on button below to reveal the raw wallet data and create the file manually:',
        SIGNUP_COMMON_WALLET_WARNING_4: 'Even if you have a wallet file it is <b><u>mandatory</u></b> to backup your account\'s private key, click on button below to reveal it:',
        SIGNUP_COMMON_WALLET_WARNING_5: 'It is your responsibility to always make sure you have your private key backed up before sending any funds to your account.',
        SIGNUP_COMMON_WALLET_WARNING_6: 'Each wallet has a <b><u>primary private key</u></b> (yours is shown above) that is used to create deterministic secondary accounts (BIP32). This feature requires to use the <b><u>same password</u></b> or it will generate different secondary accounts for the same primary private key. When backing up your data don\'t forget to <b><u>take note of your password</u></b>.',
        SIGNUP_COMMON_WALLET_WARNING_BTN_1: 'Show raw wallet file',
        SIGNUP_COMMON_WALLET_WARNING_BTN_1_INFO: 'To make a wallet file, create an empty text file and put the above base 64 key into it. Save the file as <b><i>yourWalletName.wlt</i></b>.',
        SIGNUP_COMMON_WALLET_WARNING_BTN_2: 'Show private key',
        SIGNUP_COMMON_WALLET_WARNING_BTN_2_INFO: 'Your private key holds all the power of your account and therefore it must be kept secret. <b>Never share it with anyone</b>. It is <b>highly recommend</b> to store the private key in a safe and offline location.',
        SIGNUP_COMMON_WALLET_WARNING_FOOTER: 'By clicking below, you agree that you have your private key, password and wallet file backed up.',
        SIGNUP_COMMON_WALLET_WARNING_CONFIRM_1: 'I have my wallet file',
        SIGNUP_COMMON_WALLET_WARNING_CONFIRM_2: 'I have my private key and password',
        SIGNUP_COMMON_WALLET_WARNING_CONFIRM_3: 'I agree',
        SIGNUP_COMMON_WALLET_WARNING_UNDERSTOOD: 'Understood',
        SIGNUP_COMMON_WALLET_WARNING_DOWNLOAD: 'Download wallet',
        SIGNUP_ESTIMATED_PASSPHRASE_STRENGTH: 'Estimated passphrase strength',
        SIGNUP_ESTIMATED_GUESS_TIMES: 'Estimated guess times',
        SIGNUP_CONGRATS_MSG: '<b>Congratulations!</b> Your NEM address is',

        // FAQ MODULE
        FAQ_TITLE: 'Frequently Asked Questions',
        FAQ_QUESTION_1: 'How the NEM Wallet works?',
        FAQ_ANSWER_1: 'The NEM Wallet is built with AngularJS and ES6. It is a full client-side application that never sends any sensitive data through the wire; everything happens in your browser from creating private keys to the signing of transactions.',
        FAQ_QUESTION_2: 'Is it free to use?',
        FAQ_ANSWER_2: 'Absolutely all operations are client-side, only you have control of your coins, no third parties, and no extra fees.',
        FAQ_QUESTION_3: 'Why do I already have one mosaic?',
        FAQ_ANSWER_3: 'Because XEM is the default currency of the NEM blockchain, every user already has it registered to their wallet, even if their balance is 0. Its namespace is NEM and the mosaic name is XEM',
        FAQ_QUESTION_4: 'Roadmap?',
        FAQ_ANSWER_4: 'The current roadmap includes integration of all features from NanoWallet v1.x.x and completion of community funded projects to work across this wallet.',
        FAQ_QUESTION_5: 'Can I get free XEM?',
        FAQ_ANSWER_5: 'The NEM faucet is currently down, but you can consult the NEM forum to know about the available bounties.',
        FAQ_QUESTION_6: 'Where to find more information about NEM?',
        FAQ_ANSWER_6_FORUM: 'Official forum',
        FAQ_ANSWER_6_WEBSITE: 'Official website',
        FAQ_ANSWER_6_BTT: 'Official BitcoinTalk thread',
        FAQ_QUESTION_7: 'Nothing is shown on the dashboard',
        FAQ_ANSWER_7: 'Please be sure to check the node circle in the top navigation bar. <br> Red circle means that connection to the node failed. <br> Click on "Node" and select another one from the dropdown list or use a custom node. <br> <a href="https://supernodes.nem.io" target="_blank">Supernodes.nem.io</a> has a lot of nodes that you can use.</a>',
        FAQ_QUESTION_8: 'Cosignatories cannot see the transaction to sign',
        FAQ_ANSWER_8: 'In this case go to "Services", look for "Multisignature and Multi-User Accounts" and click on "Sign multisig transactions".',
        FAQ_QUESTION_9: 'What are the best security practices ?',
        FAQ_ANSWER_9: 'It is hightly recommended to always store private keys on paper.<br> You can print them and archive them somewhere safe. <br><br> Regarding wallet files you should always keep multiple copies on different cold locations, like usb sticks. <br> Passwords must always be unique and complex, for this reason, always write it down first. <br><br> When you want to check your wallet or realise operations:<br> - Plug the usb stick <br> - Import the wallet file in the NEM Wallet<br> - Unplug the usb stick.<br><br> A copy of your wallet is stored in the browser local storage for all the time you need.<br> Once you are done, logout and purge the wallets in local storage using the purge button on the right side of the footer.',
        FAQ_QUESTION_10: 'Where to find information about my account (address, etc) ?',
        FAQ_ANSWER_10: 'If you look at the top navigation bar, you will see an <b><i>"Account"</b></i> button between <b><i>"Node"</b></i> and <b><i>"Language"</b></i>. There you can find your address, public key, vested balance and other important data.',
        FAQ_QUESTION_11: 'I have deposited XEM to an exchange but nothing has been credited ?',
        FAQ_ANSWER_11_1: 'First you must check that the hash of your transaction is pointing to an existing transaction on the <a target="_blank" href="http://chain.nem.ninja">explorer</a> (please, note that the explorer is a few blocks behind).',
        FAQ_ANSWER_11_2: 'Most exchanges are asking for an identification message to credit your deposit. Make sure that you have followed carefully the exchange instructions and added a message that is NOT encrypted. ',
        FAQ_ANSWER_11_3: 'Even if you have added a message, it can happen that exchanges may not process your deposit, because of issues on their side.',
        FAQ_ANSWER_11_4: 'You must contact the exchange support, explain the situation and provide them the hash of the transaction.',
        FAQ_QUESTION_12: 'How to check if I am on a fork ?',
        FAQ_ANSWER_12_1: 'Click on <b><i>"Node"</b></i>, in the top navigation bar, to open the node panel.',
        FAQ_ANSWER_12_2: 'Look at the chain height and compare it to the height shown <a target="_blank" href="http://hugealice.nem.ninja:7890/chain/height">here</a>.',
        FAQ_ANSWER_12_3: 'If different of more than 5 blocks then you are probably on a fork.',
        FAQ_ANSWER_12_4: 'To fix, just choose another node from the dropdown in the node panel, it will restore your account at it\'s latest state on the real network.',

        // FORM RELATED
        FORM_PASSWORD_FIELD_PLACEHOLDER: 'Enter your wallet password or passphrase',
        FORM_WALLET_NAME_FIELD_PLACEHOLDER: 'Wallet name',
        FORM_SIGNUP_PASSWORD_FIELD_PLACEHOLDER: 'Password',
        FORM_PASSWORD: 'Password',
        FORM_PASSWORD_CONFIRM: 'Confirm Password',
        FORM_PASSPHRASE_CONFIRM: 'Confirm Passphrase',
        FORM_CONFIRM_PASSWORD_FIELD_PLACEHOLDER: 'Confirm your password',
        FORM_PASSPHRASE_FIELD_PLACEHOLDER: 'Passphrase',
        FORM_CONFIRM_PASSPHRASE_FIELD_PLACEHOLDER: 'Confirm your passphrase',
        FORM_ADDRESS_FIELD_PLACEHOLDER: 'Account address',
        FORM_PRIVATE_KEY_FIELD_PLACEHOLDER: 'Private key',
        FORM_SIDE_BTN_BALANCE: 'Balance',
        FORM_SIDE_BTN_PAY_TO: 'Pay to',
        FORM_SIDE_BTN_TX_FEE: 'Transaction fee',
        FORM_SIDE_BTN_RENTAL_FEE: 'Rental fee',
        FORM_SIDE_BTN_LEVY_FEE: 'Levy fee',
        FORM_RECIPIENT_PLACEHOLDER: 'Recipient address or @alias',
        FORM_INVOICE_RECIPIENT_PLACEHOLDER: 'Recipient address',
        FORM_SIDE_BTN_ALIAS_OF: 'Alias of',
        FORM_MESSAGE_PLACEHOLDER: 'Message',
        FORM_MOSAIC_NAME_PLACEHOLDER: 'Mosaic name',
        FORM_ADDRESS_ALIAS_PLACEHOLDER: 'Account address or @alias',
        FORM_BTN_GET_ALIAS: 'Get namespace address',
        FORM_BTN_OPEN_ADB: 'Open address book',
        FORM_SELECT_NAMESPACE: 'Select a namespace',

        // VOTING MODULE
        PORTAL_VOTING_TITLE: 'Voting',
        PORTAL_VOTING_TEXT: 'Create and vote on polls',
        PORTAL_VOTING_BTN1: 'See Polls',
        PORTAL_VOTING_BTN2: 'Create Poll',
        FORM_TITLE_FIELD_PLACEHOLDER: 'Title',
        FORM_DESCRIPTION_FIELD_PLACEHOLDER: 'Write your description here',
        FORM_OPTION_FIELD_PLACEHOLDER: 'write option',
        FORM_WHITELIST_FIELD_PLACEHOLDER: 'account address',
        FORM_SELECT_MULTISIG: 'Select a multisignature account',
        FORM_SELECT_CONTACT: 'Select a contact',

        // TREZOR RELATED
        TREZOR_TITLE: 'TREZOR',
        TREZOR_TEXT: 'The TREZOR hardware wallet allows you to secure your XEM, mosaics and multisig accounts',
        TREZOR_BUTTON: 'Login with TREZOR',

        // CREATE OFFLINE TRANSACTION MODULE
        OFFLINE_TX_TITLE: 'Prepare an offline transaction',
        OFFLINE_TX_NO_WALLET: 'Please import a wallet from login module to see the form.',
        OFFLINE_TX_INFO_1: 'To be completely safe, make sure to use a computer that is <b>NEVER</b> connected to internet.',
        OFFLINE_TX_INFO_2: 'Only simple transactions can be created because a connection is needed to fetch mosaics and multisig information from NEM nodes.',
        OFFLINE_TX_INFO_3: 'After clicking the "create" button in the left panel, you will find the signed transaction below.',
        OFFLINE_TX_INFO_4: 'A signed transaction is immutable and will be effective only if released to the network before the default deadline of 24 hours.',
        OFFLINE_TX_SIGNED: 'Signed transaction',
        OFFLINE_TX_RELEASE: 'Open in release module',
        OFFLINE_TX_MODAL_ALERT: 'This computer seems connected to internet, please note that creating offline transactions is safe <b>ONLY</b> on a computer that is <b>NEVER</b> connected to internet.',

        // RELEASE OFFLINE TRANSACTION MODULE
        RELEASE_OFFLINE_TX_TITLE: 'Release a transaction to the network',
        RELEASE_OFFLINE_TX_PARAMETERS: 'Transaction parameters',
        RELEASE_OFFLINE_TX_INFO_1: 'To release a transaction you must be connected to internet.',
        RELEASE_OFFLINE_TX_INFO_2: 'Make sure that you have selected the right network and a working node or it will be rejected.',
        RELEASE_OFFLINE_TX_INFO_3: 'It is not possible to send a signed transaction twice. One signed transaction will always generate the same hash and two transactions cannot have the same hash.',
        RELEASE_OFFLINE_TX_INFO_4: 'You can release a signed transaction from any computer safely.',

        // INVOICE MODULE
        CREATE_INVOICE_TITLE: 'Create an invoice',

        // CREATE SIGNED MESSAGE MODULE
        CREATE_SIGNED_MSG_TITLE: "Create a signed message",
        CREATE_SIGNED_MSG_NAME: 'Signed message',
        CREATE_SIGNED_MSG_SIGN: 'Sign message',

        // VERIFY SIGNED MESSAGE MODULE
        VERIFY_SIGNED_MSG_TITLE: "Verify a signed message",
        VERIFY_SIGNED_MSG_SIG_VALID: 'Signature is valid',
        VERIFY_SIGNED_MSG_SIG_NOT_VALID: 'Signature is <b>NOT</b> valid',
        VERIFY_SIGNED_MSG_NOT_VALID: 'Signed message is not valid!',

        // DNS MODULE
        DNS_SHORT_DESC: "Decentralized Domain Name System (DNS) service for namespace.nem domains",
        DNS_CONFIGURE: "Configure DNS",
        DNS_SEARCH_DNS: "Search DNS",
        DNS_GO_SEARCH: "GO!",
        DNS_GET_INFO: "Get info",
        DNS_SEARCH_HEADLINE: "Search DNS",
        DNS_SEARCH_HELP: "DNS help",
        DNS_SEARCH: "Search",
        DNS_SEARCH_HELP_INFO: "Type a namespace.nem to lookup associated DNS information or go directly to website. ",
        //DNS CONFIGURE
        DNS_SELECT_NAMESPACE:"select namespace",
        DNS_POINTER_ADDRESS:"Pointer address",
        DNS_IP_ADDRESS:"ip address",
        DNS_ORGA:"Organization",
        DNS_COUNTRY:"Country",
        DNS_ADDRESS:"Address",
        DNS_PHONE:"Phone",
        DNS_EMAIL:"Email",
        DNS_OTHERINFO:"Other info",
        DNS_JSONMSG:"Json message",
        DNS_CHAR_LEFT:"Characters Left",
        DNS_HELP1:"The owner of a NEM namespace can use the NEM DNS in a few easy steps. The DNS is built around the namespace platform in the NEM ecosystem and an associated pointer address (PA). The namespace owner needs to send a transaction to the namespace pointer address including a non-encrypted message in json format with information related to the namespace. The message can include relevant information such as IP address, ownership info, physical address, contact info and much more.",
        DNS_HELP2:"This is how you do it:",
        DNS_HELP3:"1. select namespace",
        DNS_HELP4:"2. write relevant or update DNS information",
        DNS_HELP5:"3. send transaction to pointer address",
        //DNS ALERTS
        ALERT_DNS_SUCCESS: "Information found",
        ALERT_DNS_NO_INFO_FOUND: "No DNS info found",

        // IMPORT WALLET QRCODE
        IMPORT_WALLET_QRCODE_TITLE: 'Import wallet QR code',
        IMPORT_WALLET_QRCODE_INFORMATION: 'Support wallet QR code: NEM wechat wallet, ios, android.',
        IMPORT_WALLET_QRCODE_LOAD: 'Load wallet QR code',
        IMPORT_WALLET_QRCODE_SCAN: 'Scan',
        IMPORT_WALLET_QRCODE_STOP_SCAN: 'Stop scan',

        //NEMonster
        NEMONSTER_SHORT_DESC: "Welcome to NEMonsters, a witty little collection game based on the NEM blockchain.",
        NEMONSTER_CATCH: "Catch",
        NEMONSTER_GET: "Get some monsters",
        NEMONSTER_DESC: "Welcome to NEMonsters, a witty little collection game based on the NEM blockchain. You can catch and collect over 110,000,000 different combinations of generated monsters; spanning from different colors, names and other spicy characteristics.  You catch a new monster by sending a fixed transaction; the monster is summoned when the transaction is confirmed. The characteristics of your new (evil) monster is based on the transaction hash – how cool is that. See if you can catch some of the monsters from the NEM foundation.",

        // CATAPULT OPT IN MODULE
        PORTAL_CATAPULTOPTIN_TITLE: 'Symbol Opt In',
        PORTAL_CATAPULTOPTIN_TEXT: 'Use this module to receive XYM on the Symbol network. You may also opt in to have your namespaces registered and multisig accounts opted in. Your mosaic balances, Apostille data, delegating harvesting contracts, and all other DAP content will not carry forward. Please, read more ',
        PORTAL_CATAPULTOPTIN_TEXT_LINK: 'here.',
        PORTAL_CATAPULTOPTIN_MULTISIG_TEXT: 'Your multi-signature opt-in request must be issued with cosigner accounts',
        PORTAL_CATAPULTOPTIN_BTN_1: 'Claim XYM and Namespaces with a Symbol Opt In',
        PORTAL_CATAPULTOPTIN_BTN_2: 'Sign a Multisig Opt In Message',
        PORTAL_CATAPULTOPTIN_TREZOR_TEXT: 'Opt in with trezor is not implemented yet. If you want to Opt in, please move your funds to a normal account.',
        TITLE_CATAPULTOPTIN: 'Symbol Opt In',
        CATAPULTOPTIN_CREATE_HELP: 'Want to know more about opting in to Symbol?',
        CATAPULTOPTIN_TRANSACTION: 'Opt In Transaction',
        CATAPULTOPTIN_ACCOUNT_UNLOCK: 'Enter your Symbol mnemonic',
        CATAPULTOPTIN_ACCOUNT_UNLOCK_PLACEHOLDER: 'Please provide the mnemonic passphrase for your Symbol Account that you opted in',
        CATAPULTOPTIN_ACCOUNT_STEP_1: 'Step 1: Please select an account to Opt In',
        CATAPULTOPTIN_ACCOUNT_STEP_1_NEW: 'Step 1: Please select an account to Opt In',
        CATAPULTOPTIN_ACCOUNT_STEP_2: 'Step 2: Review my Symbol account opt in information',
        CATAPULTOPTIN_ACCOUNT_MS_STEP_2: 'Step 2: Review multisig Symbol account information',
        CATAPULTOPTIN_ACCOUNT_STEP_3: 'Step 3: Review my namespaces to be opted in',
        CATAPULTOPTIN_ACCOUNT_STEP_4: 'Step 4: Review VRF keys in opt in',
        CATAPULTOPTIN_INCLUDE_VRF: 'Include VRF keys in opt in',
        CATAPULTOPTIN_VRF_KEYS: 'VRF keys',
        CATAPULTOPTIN_VRF_PUBLIC_KEY: 'VRF public key',
        CATAPULTOPTIN_ACCOUNT_MS_STEP_3: 'Step 3: Review multisig namespaces to be opted in',
        CATAPULTOPTIN_ACCOUNT_STEP_SIGN: 'Step 2: Sign Symbol Opt In',
        CATAPULTOPTIN_REVIEW_MULTISIG_RESULT: 'Review Multisig Symbol Opt In',
        CATAPULTOPTIN_REGISTER: 'Register Symbol Opt In',
        CATAPULTOPTIN_CREATE_ADDRESS: 'Create a new address on Symbol from mnemonic.',
        CATAPULTOPTIN_INCLUDE_NAMESPACE: 'Include my namespaces in the opt in',
        CATAPULTOPTIN_INCLUDE_MS_NAMESPACE: 'Include multisig account namespaces in the opt in',
        CATAPULTOPTIN_MULTISIG_CONTRACT_CONSIGNATURES: 'Multisig Contract Cosignatures',
        SIGN_MULTISIG_OPTIN_TRANSACTIONS_TITLE: 'Sign Multisignature Opt In Transactions',
        CATAPULTOPTIN_NAMESPACE_TO_DELETE: 'Opt Out of Namespace',
        CATAPULTOPTIN_NAMESPACE_REMOVE: 'Enter namespace to be removed',
        CATAPULTOPTIN_ENTER_PK: 'Enter a private key to generate Symbol account',
        CATAPULTOPTIN_ENTER_PASSWORD: 'Enter your password to generate Symbol account',
        CATAPULTOPTIN_REMOVE_NAMESPACE: 'Remove Namespace',
        CATAPULTOPTIN_OPT_IN_SUCCESS: 'Opt In completed successfully',
        CATAPULTOPTIN_OPT_IN_PENDING_SIGNATURES: 'Opt In pending cosignatories',
        CATAPULTOPTIN_TRANSFER_TRANSACTION_MULTISIG_NAME: 'Symbol Multisig Account Opt in Approval',
        CATAPULTOPTIN_NIS1: 'NIS1',
        CATAPULTOPTIN_OPTIN_ACCOUNT: 'Opt in account:',
        CATAPULTOPTIN_OPTIN_ACCOUNT_PK: 'Opt in account public key:',
        CATAPULTOPTIN_NAMESPACES_OPTIN: 'My opted in namespaces',
        CATAPULTOPTIN_CATAPULT: 'Symbol',
        CATAPULTOPTIN_OPTIN_ACCOUNT_ADDRESS: 'Opt in account address:',
        CATAPULTOPTIN_UNLOCK: 'Unlock Symbol Account',
        CATAPULTOPTIN_CONFIRM_OPTIN: 'Confirm Symbol Opt In',
        CATAPULT_OPT_IN_RESUME: 'Opt In Transaction Confirmation',
        CATAPULT_OPT_IN_RESUME_TEXT:'The following transaction will create a new Symbol account. To claim your funds, you need to back up your Mnemonic passphrase.',
        CATAPULT_OPT_IN_SUCCESS: 'Opt In Successful',
        CATAPULT_OPT_IN_BALANCE_SNAPSHOT: 'Balance to be included in Symbol',
        CATAPULT_OPT_IN_SUCCESS_SIGNING: 'Opt In signed successfully',
        CATAPULT_OPT_IN_UNDERSTAND: 'Considering the change of private key when used with Symbol, it is important that you understand that your account private key on Symbol will be different from your old private key. Please, confirm that you have made a copy of the new private key by entering ‘Yes, I understand’ in the field below.',
        CATAPULT_OPT_IN_CONFIRM_BACKUP: 'I have backed up my mnemonic passphrase for the opt in process and understand it is my responsibility to save and back it up.',
        CATAPULT_OPT_IN_UNDERSTAND_FUNDS: 'I understand that only the funds in my account on the snapshot block are the funds that will be included in my XYM account balance at Symbol launch. Any account balance changes after this opt transaction but before the snapshot will be reflected at Symbol launch.',
        GENERAL_MIN_SIGNATURES_REQUIRED: 'Minimum signatures required',
        SYMBOL_OPTIN_INITIATOR: 'Opt In initiator',
        CATAPULT_BACKUP_WALLET: 'Backup Symbol Wallet',
        CATAPULT_DOWNLOAD_WALLET: 'Download Encrypted Symbol Wallet',
        MNEMONIC: 'Mnemonic',
        CATAPULT_OPT_IN_LOADING: 'Fetching Opt In Status...',
        COSIGNER_NOT_OPTIN: 'Cosigner has not started the opt in process yet',
        SYMBOL_ADDRESS: 'Symbol Address',
        YOUR_SYMBOL_ADDRESS: 'Your Symbol Address',
        YOUR_SYMBOL_MNEMONIC: 'Your Symbol Mnemonic',
        SYMBOL_COSIGNERS: 'Symbol Cosigners',
        CATAPULTOPTIN_CONFIRM_SIGN: 'Sign Symbol Opt In',
        CATAPULTOPTIN_FIRST_DO_NORMAL: 'To do the Multisig Opt In you must first do the Normal Opt In',
        CATAPULTOPTIN_ENCRYPTED_WALLET_TEXT: 'Please create a new password to encrypt your Symbol wallet backup and then press the download button.',
        CATAPULTOPTIN_REVIEW_NORMAL_RESULT: 'Review my Symbol account opt in information',
        CATAPULTOPTIN_GENERATE_NEW_SYMBOL: 'Generate new Symbol Mnemonic',
        CATAPULTOPTIN_VRF_KEYS_DESCRIPTION: 'VRF keys are used for harvesting on symbol. If you own a node and want to start harvesting the first blocks, you should activate this option and save the keys to put them back in your symbol node configuration. If you don\'t select this option, you will also be able to generate new keys once mainnet is alive',
        OPTIN_FORM_PASSWORD_FIELD_PLACEHOLDER: 'Enter your regular NEM wallet password',
        OPTIN_NEW_PASSWORD: 'New Password',
        SYMBOL_PASSWORD_REQUIREMENT: "Password must be at least 8 characters",
        SYMBOL_SIGNUP_CREATE_WALLET_ADD_ENTROPY_INFO_1: 'We are now going to generate your primary private key.',
        SYMBOL_SIGNUP_CREATE_WALLET_ADD_ENTROPY_INFO_2: 'Please click on start and move your cursor around to add more entropy.',
        OPTIN_WELCOME_TITLE: 'Welcome to Symbol Opt-in',
        OPTIN_INFO_1: 'The Symbol mainnet has not launched yet.',
        OPTIN_INFO_2: 'You can prepare by opting in your NEM NIS1 accounts with this module ',
        OPTIN_INFO_3: 'to migrate your balance and namespaces to the Symbol network.',
        OPTIN_LINK_INFO: 'Get all information about Opt-in process ',
        OPTIN_NAMESPACES_TITLE: 'Opt-in Namespaces',
        OPTIN_NAMESPACES_INFO:'Now you can Opt-in the Namespace(s) you own on NEM NIS1. This provides a placeholder for the same Namespace(s) on the Symbol blockchain.',
        OPTIN_NAMESPACES_LINK: 'Get all information about Namespace Opt-in ',
        OPTIN_NAMESPACES_SELECT: 'Select the Namespaces you want to Opt-in:',
        OPTIN_VRF_TITLE: 'Include VRF keys',
        OPTIN_VRF_INFO:'VRF keys allow your account to harvest block rewards. If you plan to hold over 10,000 XYM in your account after launch and would like to harvest on Symbol blockchain, you need to add VRF keys to the Opt-in process.',
        OPTIN_VRF_LINK: 'Get all information about VRF keys ',
        OPTIN_VRF_KEYS:'Add VRF Keys',
        OPTIN_VRF_PUBLIC: 'VRF Public Address',
        OPTIN_VRF_PRIVATE: 'VRF Private Key',
        OPTIN_TAC_TITLE:'Terms and Conditions',
        OPTIN_TAC_TEXT:'terms and conditions',
        OPTIN_TAC_INFO_1:'The Opt-in process is a feature launched by NEM Group Limited with the aim of helping NIS1 users migrate their balances to their new Symbol network. It is a process defined under certain parameters that all users who adhere to it have to comply with.',
        OPTIN_TAC_INFO_2:'NEM Group Limited will not be liable for any incidents outside of the terms and conditions specified below.',
        OPTIN_TAC_READ_ACCEPT: 'I have read and accept the ',
        OPTIN_CONFIRM_TITLE:'Confirm Symbol Opt-in',
        OPTIN_CONFIRM_INFO:'We are almost done! This will be the information that will be migrated to the new Symbol chain. Review it carefully and sign with your NEM key to finish your Opt-in.',
        OPTIN_CONFIRM_OPTIN:'Confirm Opt-in',
        HERE:'here',
        OPTIN_ENTER_PASSWORD: 'Enter your NEM NIS1 password to sign the Opt-in',
        OPTIN_LOADING: 'Fetching Opt In data...',
        OPTIN_FINISHED: 'Opt In has finished, please update your wallet to get the latest details',
        CREATE_SYMBOL_ACCOUNT: 'Create your Symbol account',
        OPTIN_SYMBOL_READY: 'Your Symbol account is ready',
        OPTIN_COPY_SUCCESS: 'Copied!',
        CATAPULT_OPT_IN_ERROR_TOO_MUCH_COSIGNATORIES: 'This account has more than 8 cosignatories. Opt In protocol only allows multisig accounts with less than 9 cosignatories'

    });
}

export default EnglishProvider;
